libidn: strerror-stringprep.c File Reference

libidn 1.29

- Main Page
- Data Structures
- Files

- File List
- Globals

Macros | Functions
strerror-stringprep.c File Reference
`#include "stringprep.h"`
`#include "gettext.h"`

Go to the source code of this file.

## Macros
#define | _(String) dgettext (PACKAGE, String)

## Functions
const char * | stringprep_strerror (Stringprep_rc rc)

## Macro Definition Documentation

#define _ | ( |  | String | ) | dgettext (PACKAGE, String)

Definition at line 37 of file strerror-stringprep.c.

## Function Documentation

const char* stringprep_strerror | ( | Stringprep_rc | rc | ) |

stringprep_strerror:

Parameters

  rc | a Stringprep_rc return code.

Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

STRINGPREP_OK: Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes. STRINGPREP_CONTAINS_UNASSIGNED: String contain unassigned Unicode code points, which is forbidden by the profile. STRINGPREP_CONTAINS_PROHIBITED: String contain code points prohibited by the profile. STRINGPREP_BIDI_BOTH_L_AND_RAL: String contain code points with conflicting bidirection category. STRINGPREP_BIDI_LEADTRAIL_NOT_RAL: Leading and trailing character in string not of proper bidirectional category. STRINGPREP_BIDI_CONTAINS_PROHIBITED: Contains prohibited code points detected by bidirectional code. STRINGPREP_TOO_SMALL_BUFFER: Buffer handed to function was too small. This usually indicate a problem in the calling application. STRINGPREP_PROFILE_ERROR: The stringprep profile was inconsistent. This usually indicate an internal error in the library. STRINGPREP_FLAG_ERROR: The supplied flag conflicted with profile. This usually indicate a problem in the calling application. STRINGPREP_UNKNOWN_PROFILE: The supplied profile name was not known to the library. STRINGPREP_NFKC_FAILED: The Unicode NFKC operation failed. This usually indicate an internal error in the library. STRINGPREP_MALLOC_ERROR: The malloc() was out of memory. This is usually a fatal error.

Return value: Returns a pointer to a statically allocated string containing a description of the error with the return code .

Definition at line 77 of file strerror-stringprep.c.